## kf6-kfilemetadata 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KFileMetaData VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)
include(CheckStructHasMember)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kfilemetadata_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kfilemetadata_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KFILEMETADATA
                  VERSION_HEADER "${kfilemetadata_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6FileMetaDataConfigVersion.cmake"
                  SOVERSION 3)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui)
set_package_properties(Qt6Gui PROPERTIES DESCRIPTION "Qt6: Gui component"
                       TYPE OPTIONAL
                       PURPOSE "Qt6::Gui is needed for several extractors")

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)

find_package(KF6 ${KF_DEP_VERSION} COMPONENTS Archive)
set_package_properties(KF6Archive PROPERTIES DESCRIPTION "KDE Frameworks: Archive Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE OPTIONAL
                       PURPOSE "Archive is needed for several extractors")

find_package(KF6 ${KF_DEP_VERSION} COMPONENTS CoreAddons)
set_package_properties(KF6CoreAddons PROPERTIES DESCRIPTION "KDE Frameworks: Core Addons Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE REQUIRED
                       PURPOSE "Needed for the formatting of properties for display purposes")

find_package(KF6 ${KF_DEP_VERSION} COMPONENTS Config)
set_package_properties(KF6Config PROPERTIES DESCRIPTION "KDE Frameworks: Config Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE OPTIONAL
                       PURPOSE "Config is needed to build the AppImage extractor")

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS I18n)

find_package(KF6 ${KF_DEP_VERSION} COMPONENTS Codecs)
set_package_properties(KF6Codecs PROPERTIES DESCRIPTION "KDE Frameworks: KCodecs Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE REQUIRED
                       PURPOSE "Needed for the autodetecting encoding of plain text files")

find_package(Poppler 0.12.1 COMPONENTS Qt6)
set_package_properties(Poppler PROPERTIES DESCRIPTION "A PDF rendering library"
                       URL "https://poppler.freedesktop.org/" TYPE OPTIONAL
                       PURPOSE "Support for PDF files")

find_package(Taglib 1.12)
set_package_properties(Taglib PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Support for music metadata")

find_package(LibExiv2 0.27.4)
set_package_properties(LibExiv2 PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Support for image metadata")

find_package(FFmpeg 57.48 COMPONENTS AVCODEC)
if (AVCODEC_FOUND)
    find_package(FFmpeg 57.40 COMPONENTS AVFORMAT)
    if (AVFORMAT_FOUND)
        find_package(FFmpeg 55.27 COMPONENTS AVUTIL)
    endif()
endif()
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader"
                       URL "https://ffmpeg.org/" TYPE OPTIONAL
                       PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader"
                       URL "https://sourceforge.net/projects/ebook-tools/" TYPE OPTIONAL
                       PURPOSE "Support for epub metadata")

find_package(CatDoc)
set_package_properties(CatDoc PROPERTIES DESCRIPTION "catdoc executable"
                       URL "https://www.wagner.pp.ru/~vitus/software/catdoc/" TYPE RUNTIME
                       PURPOSE "Extract text from office 98 files - RUNTIME dependency")

if ( CMAKE_SYSTEM_NAME MATCHES "Linux" )
    find_package(Xattr)
    set_package_properties(Xattr PROPERTIES DESCRIPTION "library libattr "
        URL "https://savannah.nongnu.org/projects/attr"
        TYPE REQUIRED
        PURPOSE "Extended attribute shared library")
endif()

find_package(QMobipocket6 2.1)
set_package_properties(QMobipocket6 PROPERTIES DESCRIPTION "Mobipocket epub reader"
                       URL "https://invent.kde.org/graphics/kdegraphics-mobipocket"
                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")
option(ENABLE_MOBIPOCKET_TEXT_EXTRACTION "Enable text (content) extraction for Mobipocket files (experimental)" OFF)

find_package(libappimage 0.1.10 CONFIG)
set_package_properties(libappimage PROPERTIES DESCRIPTION "Core library of the AppImage project"
                       URL "https://github.com/AppImage/libappimage"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the AppImage extractor"
                       )

ecm_set_disabled_deprecation_versions(
    QT 6.4
    KF 5.102
)

add_definitions(-DTRANSLATION_DOMAIN=\"kfilemetadata6\")
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
endif()
add_subdirectory(tests)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6FileMetaData")

ki18n_install(po)

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6FileMetaDataConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6FileMetaDataConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6FileMetaDataConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6FileMetaDataConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT devel
)

install(FILES
  ${kfilemetadata_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KFileMetaData COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

find_package(Python3 COMPONENTS Interpreter)
set_package_properties(Python3 PROPERTIES DESCRIPTION "Python Interpreter"
                       URL "https://www.python.org" TYPE OPTIONAL
                       PURPOSE "Python interpreter is required for testing external extractors and writers")

configure_file(indexerextractortestsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/indexerextractortestsconfig.h @ONLY)


set(KfileMetaDataAutotest_SRCS)
ecm_qt_declare_logging_category(KfileMetaDataAutotest_SRCS
    HEADER kfilemetadata_debug.h
    IDENTIFIER KFILEMETADATA_LOG
    CATEGORY_NAME kf.filemetadata
)


#
# Test case coverage
#
ecm_add_test(extractorcoveragetest.cpp
    TEST_NAME "extractorcoveragetest"
    LINK_LIBRARIES Qt6::Test KF6::FileMetaData
)

#
# Date/Time parser and timezone handling
#
ecm_add_test(
    datetimetests.cpp
    ${KfileMetaDataAutotest_SRCS}
    TEST_NAME "datetimetest"
    LINK_LIBRARIES Qt6::Test
)

#
# Full text extraction test
#
ecm_add_test(
    indexerextractortests.cpp
    ../src/extractors/plaintextextractor.cpp
    ${KfileMetaDataAutotest_SRCS}
    TEST_NAME "indexextractortest"
    LINK_LIBRARIES Qt6::Test KF6::FileMetaData KF6::Codecs
)

#
# Office
#
if(KF6Archive_FOUND)
    ecm_add_test(odfextractortest.cpp ../src/extractors/odfextractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "odfextractortest"
        LINK_LIBRARIES Qt6::Test Qt6::Xml KF6::FileMetaData KF6::Archive
    )
endif()

if(KF6Archive_FOUND)
    ecm_add_test(office2007extractortest.cpp
        ../src/extractors/office2007extractor.cpp
        ../src/extractors/dublincoreextractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "officeextractortest"
        LINK_LIBRARIES Qt6::Test Qt6::Xml KF6::FileMetaData KF6::Archive
    )
endif()

#
# Poppler
#
if(Poppler_Qt6_FOUND)
    ecm_add_test(popplerextractortest.cpp ../src/extractors/popplerextractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "popplerextractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData Poppler::Qt6
    )
endif()

#
# EPub
#
if(EPUB_FOUND)
    include_directories(${EPUB_INCLUDE_DIR})

    ecm_add_test(
        epubextractortest.cpp
	../src/extractors/epubextractor.cpp
	../src/kfilemetadata_debug.cpp
        TEST_NAME "epubextractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData ${EPUB_LIBRARIES}
    )
endif()

#
# Mobi
#
if (QMobipocket6_FOUND)
    ecm_add_test(mobiextractortest.cpp
        ../src/extractors/mobiextractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "mobiextractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData QMobipocket6
    )
    if (${ENABLE_MOBIPOCKET_TEXT_EXTRACTION})
        target_compile_definitions(mobiextractortest PRIVATE ENABLE_TEXT_EXTRACTION=1)
    endif()
endif()

#
# FictionBook2
#
if(KF6Archive_FOUND)
    ecm_add_test(
        fb2extractortest.cpp
        ../src/extractors/fb2extractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "fb2extractortest"
        LINK_LIBRARIES Qt6::Test KF6::Archive KF6::FileMetaData
    )
endif()

#
# Property Info
#
add_executable(propertyinfotest_bin propertyinfotest.cpp)
target_link_libraries(propertyinfotest_bin
    Qt6::Test
    KF6::FileMetaData
)
ecm_mark_as_test(propertyinfotest_bin)
ecm_mark_nongui_executable(propertyinfotest_bin)
# Run the benchmark with just 1 iteration, so we known it works
add_test(NAME propertyinfotest_en COMMAND propertyinfotest_bin "-iterations" "1")
add_test(NAME propertyinfotest_localized COMMAND propertyinfotest_bin "--localized" "-iterations" "1")

#
# Property Info
#
add_executable(typeinfotest_bin typeinfotest.cpp)
target_link_libraries(typeinfotest_bin
    Qt6::Test
    KF6::FileMetaData
)
ecm_mark_as_test(typeinfotest_bin)
ecm_mark_nongui_executable(typeinfotest_bin)
# Run the benchmark with just 1 iteration, so we known it works
add_test(NAME typeinfotest_en COMMAND typeinfotest_bin "-iterations" "1")
add_test(NAME typeinfotest_localized COMMAND typeinfotest_bin "--localized" "-iterations" "1")

#
# Exiv2
#
if(LibExiv2_FOUND)
    kde_enable_exceptions()
    ecm_add_test(exiv2extractortest.cpp ../src/extractors/exiv2extractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "exiv2extractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData LibExiv2::LibExiv2
    )
    if (${LibExiv2_VERSION} VERSION_LESS 0.28.0)
	# exiv2 0.27.x still uses std::auto_ptr, which is incompatible with C++17
        set_target_properties(kfilemetadata_exiv2extractor PROPERTIES CXX_STANDARD 14)
    endif()
    target_include_directories(exiv2extractortest PRIVATE ${CMAKE_BINARY_DIR}/src/extractors)
endif()

#
# FFMPEG
#
if(FFMPEG_FOUND)
    kde_enable_exceptions()
    ecm_add_test(
        ffmpegextractortest.cpp
        ../src/extractors/ffmpegextractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "ffmpegextractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData ${AVCODEC_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVUTIL_LIBRARIES}
    )
    target_include_directories(ffmpegextractortest SYSTEM PRIVATE ${AVCODEC_INCLUDE_DIRS} ${AVFORMAT_INCLUDE_DIRS} ${AVUTIL_INCLUDE_DIRS})
endif()

#
# TagLib
#
if(Taglib_FOUND)
    kde_enable_exceptions()
    ecm_add_test(taglibextractortest.cpp ../src/extractors/taglibextractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "taglibextractortest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData Taglib::Taglib
    )
endif()


if(TARGET Python3::Interpreter AND NOT WIN32)
    # Test relies on working she-bang, which does non exist on Windows
    configure_file(samplefiles/testexternalextractor/main.py samplefiles/testexternalextractor/main.py)
    configure_file(samplefiles/testexternalextractor/manifest.json samplefiles/testexternalextractor/manifest.json COPYONLY)

    ecm_add_test(externalextractortest.cpp $<$<BOOL:${BUILD_SHARED_LIBS}>:../src/externalextractor.cpp> ${KfileMetaDataAutotest_SRCS}
            TEST_NAME "externalextractortest"
            LINK_LIBRARIES Qt6::Test KF6::FileMetaData KF6::I18n
    )
endif()

#
# Collection
#
ecm_add_test(extractorcollectiontest.cpp
        TEST_NAME "extractorcollectiontest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData
)

if(Taglib_FOUND)
    ecm_add_test(writercollectiontest.cpp
            TEST_NAME "writercollectiontest"
            LINK_LIBRARIES Qt6::Test KF6::FileMetaData
    )
endif()

#
# XML
#
ecm_add_test(
    xmlextractortest.cpp
    ../src/extractors/xmlextractor.cpp
    ../src/extractors/dublincoreextractor.cpp
    ../src/kfilemetadata_debug.cpp
    TEST_NAME "xmlextractortest"
    LINK_LIBRARIES Qt6::Test Qt6::Xml KF6::FileMetaData
)
if(KF6Archive_FOUND)
    target_link_libraries(xmlextractortest KF6::Archive)
    target_compile_definitions(xmlextractortest PRIVATE SVG_XML_COMPRESSED_SUPPORT=1)
endif()

#
# Postscript DSC
#
ecm_add_test(
    postscriptdscextractortest.cpp
    ../src/extractors/postscriptdscextractor.cpp
    ../src/kfilemetadata_debug.cpp
    TEST_NAME "postscriptdscextractortest"
    LINK_LIBRARIES Qt6::Test KF6::FileMetaData
)

#
# AppImage
#
if(libappimage_FOUND AND KF6Config_FOUND AND Qt6Gui_FOUND)
    ecm_add_test(appimageextractortest.cpp ../src/extractors/appimageextractor.cpp
        TEST_NAME "appimageextractortest"
        LINK_LIBRARIES
            Qt6::Test
            KF6::FileMetaData
            KF6::ConfigCore
            Qt6::Xml
            Qt6::Gui
            libappimage
    )
endif()

#
# PNG
#
if(Qt6Gui_FOUND)
    ecm_add_test(pngextractortest.cpp ../src/extractors/pngextractor.cpp
        TEST_NAME "pngextractortest"
        LINK_LIBRARIES
            Qt6::Test
            KF6::FileMetaData
            Qt6::Gui
    )
endif()

#
# Krita
#
if(KF6Archive_FOUND)
    ecm_add_test(kritaextractortest.cpp ../src/extractors/kritaextractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "kritaextractortest"
        LINK_LIBRARIES
        KF6::Archive
        KF6::FileMetaData
        Qt6::Test
        )
endif()

################
# Writer tests #
################

#
# UserMetaData
#
kde_enable_exceptions()
ecm_add_test(usermetadatawritertest.cpp
    TEST_NAME "usermetadatawritertest"
    LINK_LIBRARIES Qt6::Test KF6::FileMetaData
)

#
# TagLib
#
if(Taglib_FOUND)
    kde_enable_exceptions()
    ecm_add_test(taglibwritertest.cpp ../src/writers/taglibwriter.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "taglibwritertest"
        LINK_LIBRARIES Qt6::Test KF6::FileMetaData Taglib::Taglib
    )
endif()

if(TARGET Python3::Interpreter AND NOT WIN32)
    configure_file(samplefiles/testexternalwriter/main.py samplefiles/testexternalwriter/main.py)
    configure_file(samplefiles/testexternalwriter/manifest.json samplefiles/testexternalwriter/manifest.json COPYONLY)

    ecm_add_test(externalwritertest.cpp $<$<BOOL:${BUILD_SHARED_LIBS}>:../src/externalwriter.cpp> ${KfileMetaDataAutotest_SRCS}
            TEST_NAME "externalwritertest"
            LINK_LIBRARIES Qt6::Test KF6::FileMetaData KF6::I18n
    )
endif()

=== src/CMakeLists.txt ===
ecm_qt_declare_logging_category(debug_SRCS
    HEADER kfilemetadata_debug.h
    IDENTIFIER KFILEMETADATA_LOG
    CATEGORY_NAME kf.filemetadata
    OLD_CATEGORY_NAMES kf5.kfilemetadata
    DESCRIPTION "KFileMetaData"
    EXPORT KFILEMETADATA
)

add_library(KF6FileMetaData)
add_library(KF6::FileMetaData ALIAS KF6FileMetaData)

set_target_properties(KF6FileMetaData PROPERTIES
    VERSION     ${KFILEMETADATA_VERSION}
    SOVERSION   ${KFILEMETADATA_SOVERSION}
    EXPORT_NAME FileMetaData
)

target_sources(KF6FileMetaData PRIVATE
    extractionresult.cpp
    simpleextractionresult.cpp
    embeddedimagedata.cpp
    extractor.cpp
    extractorplugin.cpp
    extractorcollection.cpp
    externalextractor.cpp
    propertyinfo.cpp
    typeinfo.cpp
    usermetadata.cpp
    writedata.cpp
    writer.cpp
    writerplugin.cpp
    writercollection.cpp
    externalwriter.cpp
    formatstrings.cpp
    mimeutils.cpp
    ${debug_SRCS}
    )

target_link_libraries(KF6FileMetaData
  PUBLIC
    Qt6::Core
  PRIVATE
    KF6::I18n
    KF6::CoreAddons
)

ecm_generate_export_header(KF6FileMetaData
    EXPORT_FILE_NAME kfilemetadata_export.h
    BASE_NAME KFileMetaData
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.2 6.12
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6FileMetaData INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KFileMetaData>")

ecm_generate_headers(KF6FileMetaData_CamelCase_HEADERS
    HEADER_NAMES
    ExtractionResult
    SimpleExtractionResult
    Extractor
    ExtractorPlugin
    ExtractorCollection
    Properties
    PropertyInfo
    Types
    TypeInfo
    UserMetaData
    WriteData
    Writer
    WriterPlugin
    WriterCollection
    EmbeddedImageData
    MimeUtils

    PREFIX KFileMetaData
    REQUIRED_HEADERS KF6FileMetaData_HEADERS
)

ecm_generate_qdoc(KF6FileMetaData kfilemetadata.qdocconf)

install(TARGETS KF6FileMetaData EXPORT KF6FileMetaDataTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KF6FileMetaDataTargets
        NAMESPACE KF6::
        DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF6FileMetaData
        FILE KF6FileMetaDataTargets.cmake)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kfilemetadata_export.h
    ${KF6FileMetaData_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KFileMetaData/kfilemetadata COMPONENT Devel
)

install(FILES
    ${KF6FileMetaData_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KFileMetaData/KFileMetaData COMPONENT Devel
)

configure_file(config-kfilemetadata.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kfilemetadata.h)

add_subdirectory(extractors)

add_subdirectory(writers)

ecm_qt_install_logging_categories(
    EXPORT KFILEMETADATA
    FILE kfilemetadata.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== tests/CMakeLists.txt ===
add_executable(dump dump.cpp)
ecm_mark_nongui_executable(dump)

set_target_properties(dump PROPERTIES
    OUTPUT_NAME kfilemetadata_dump6
)
install(TARGETS dump
        DESTINATION ${KDE_INSTALL_BINDIR}
)

target_link_libraries(dump
    Qt6::Gui
    KF6FileMetaData
)

# Though the dump utility is not a regular test case, running it increases
# code coverage significantly
# We check if the output matches using a regular expression

add_test(NAME dump_fail COMMAND dump "${CMAKE_CURRENT_SOURCE_DIR}")
set_tests_properties(dump_fail PROPERTIES
    # Directories are not valid arguments
    WILL_FAIL TRUE
)

add_test(NAME dump_meta COMMAND dump "${CMAKE_CURRENT_SOURCE_DIR}/../autotests/samplefiles/test_plain_text_file.txt")
set_tests_properties(dump_meta PROPERTIES
    PASS_REGULAR_EXPRESSION "PlaintextExtractor"
)

add_test(NAME dump_fulltext COMMAND dump "-f" "${CMAKE_CURRENT_SOURCE_DIR}/../autotests/samplefiles/test_plain_text_file.txt")
set_tests_properties(dump_fulltext PROPERTIES
    PASS_REGULAR_EXPRESSION "Text: This"
)

add_test(NAME dump_meta_svg COMMAND dump "${CMAKE_CURRENT_SOURCE_DIR}/../autotests/samplefiles/test_dcterms.svg")
set_tests_properties(dump_meta_svg PROPERTIES
    PASS_REGULAR_EXPRESSION "Description: A test document"
)

=== src/extractors/CMakeLists.txt ===

if(TARGET Poppler::Qt6)
    add_library(kfilemetadata_popplerextractor MODULE popplerextractor.cpp ${debug_SRCS})

    target_link_libraries(kfilemetadata_popplerextractor
        KF6::FileMetaData
        Poppler::Qt6
    )

    set_target_properties(kfilemetadata_popplerextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_popplerextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

endif()

if(Taglib_FOUND)
    add_library(kfilemetadata_taglibextractor MODULE taglibextractor.cpp ${debug_SRCS})
    target_link_libraries( kfilemetadata_taglibextractor
        KF6::FileMetaData
        Taglib::Taglib
    )

    set_target_properties(kfilemetadata_taglibextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_taglibextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

if(LibExiv2_FOUND)
    add_library(kfilemetadata_exiv2extractor MODULE exiv2extractor.cpp ${debug_SRCS})
    kde_target_enable_exceptions(kfilemetadata_exiv2extractor PRIVATE)
    target_link_libraries(kfilemetadata_exiv2extractor
        KF6::FileMetaData
        LibExiv2::LibExiv2
    )
    if(${LibExiv2_VERSION} VERSION_GREATER_EQUAL 0.27.4)
        set(EXIV2_HAVE_BMFF_SUPPORT "1")
    endif()
    configure_file(exiv2extractor.json.in exiv2extractor.json)

    set_target_properties(kfilemetadata_exiv2extractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")

    if (${LibExiv2_VERSION} VERSION_LESS 0.28.0)
	# exiv2 0.27.x still uses std::auto_ptr, which is incompatible with C++17
        set_target_properties(kfilemetadata_exiv2extractor PROPERTIES CXX_STANDARD 14)
    endif()

    install(
    TARGETS kfilemetadata_exiv2extractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

endif()

if(AVCODEC_FOUND AND AVFORMAT_FOUND AND AVUTIL_FOUND)
    add_library(kfilemetadata_ffmpegextractor MODULE
        ffmpegextractor.cpp
        ../kfilemetadata_debug.cpp
    )
    target_include_directories(kfilemetadata_ffmpegextractor SYSTEM PRIVATE ${AVCODEC_INCLUDE_DIRS} ${AVFORMAT_INCLUDE_DIRS} ${AVUTIL_INCLUDE_DIRS})
    target_link_libraries(kfilemetadata_ffmpegextractor
        KF6::FileMetaData
	${AVCODEC_LIBRARIES}
	${AVFORMAT_LIBRARIES}
	${AVUTIL_LIBRARIES}
    )

    set_target_properties(kfilemetadata_ffmpegextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_ffmpegextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

endif()


if(EPUB_FOUND)
    add_library(kfilemetadata_epubextractor MODULE
        epubextractor.cpp
        ../kfilemetadata_debug.cpp
    )
    target_include_directories(kfilemetadata_epubextractor SYSTEM PRIVATE ${EPUB_INCLUDE_DIR})
    target_link_libraries(kfilemetadata_epubextractor
        KF6::FileMetaData
        ${EPUB_LIBRARIES}
    )

    set_target_properties(kfilemetadata_epubextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_epubextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

endif()

#
# Plain Text
#
add_library(kfilemetadata_plaintextextractor MODULE
    plaintextextractor.cpp
    ../kfilemetadata_debug.cpp
)

target_link_libraries( kfilemetadata_plaintextextractor
    KF6::FileMetaData
    KF6::Codecs
)

set_target_properties(kfilemetadata_plaintextextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(
TARGETS kfilemetadata_plaintextextractor
DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

#
# PO
#
add_library(kfilemetadata_poextractor MODULE poextractor.cpp)
target_link_libraries( kfilemetadata_poextractor
    KF6::FileMetaData
)

set_target_properties(kfilemetadata_poextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(
TARGETS kfilemetadata_poextractor
DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

#
# XML
#
set_package_properties(KF6Archive PROPERTIES PURPOSE "- Required for extracting data from compressed SVGs")
add_library(kfilemetadata_xmlextractor MODULE
   dublincoreextractor.cpp
   xmlextractor.cpp
   ../kfilemetadata_debug.cpp
)
target_link_libraries( kfilemetadata_xmlextractor
    KF6::FileMetaData
    Qt6::Core
    Qt6::Xml
)
if(KF6Archive_FOUND)
    target_link_libraries(kfilemetadata_xmlextractor KF6::Archive)
    target_compile_definitions(kfilemetadata_xmlextractor PRIVATE SVG_XML_COMPRESSED_SUPPORT=1)
endif()

set_target_properties(kfilemetadata_xmlextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(
    TARGETS kfilemetadata_xmlextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata
)

#
# Postscript DSC
#
add_library(kfilemetadata_postscriptdscextractor MODULE
   postscriptdscextractor.cpp
   ../kfilemetadata_debug.cpp
)
target_link_libraries( kfilemetadata_postscriptdscextractor
    KF6::FileMetaData
    Qt6::Core
)

set_target_properties(kfilemetadata_postscriptdscextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(
    TARGETS kfilemetadata_postscriptdscextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata
)

#
# ODF
#
set_package_properties(KF6Archive PROPERTIES PURPOSE "- Required for ODF extractor")
if(KF6Archive_FOUND)
    add_library(kfilemetadata_odfextractor MODULE odfextractor.cpp ${debug_SRCS})

    target_link_libraries(kfilemetadata_odfextractor
        KF6::FileMetaData
        Qt6::Core
        Qt6::Xml
        KF6::Archive
    )

    set_target_properties(kfilemetadata_odfextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_odfextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

#
# Office 2007
#
set_package_properties(KF6Archive PROPERTIES PURPOSE "- Required for Office 2007 extractor")
if(KF6Archive_FOUND)
    add_library(kfilemetadata_office2007extractor MODULE
        office2007extractor.cpp
        dublincoreextractor.cpp
        ${debug_SRCS}
    )

    target_link_libraries(kfilemetadata_office2007extractor
        KF6::FileMetaData
        Qt6::Core
        Qt6::Xml
        KF6::Archive
    )

    set_target_properties(kfilemetadata_office2007extractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_office2007extractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

#
# Office (binary formats)
#

add_library(kfilemetadata_officeextractor MODULE)
target_sources(kfilemetadata_officeextractor
    PRIVATE
        officeextractor.cpp
        ${debug_SRCS}
)

target_link_libraries(kfilemetadata_officeextractor
    KF6::FileMetaData
)

set_target_properties(kfilemetadata_officeextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(
TARGETS kfilemetadata_officeextractor
DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

#
# Mobipocket
#
if (QMobipocket6_FOUND)
    add_library(kfilemetadata_mobiextractor MODULE mobiextractor.cpp ${debug_SRCS})
    target_link_libraries(kfilemetadata_mobiextractor
        KF6::FileMetaData
        QMobipocket6
    )
    if (${ENABLE_MOBIPOCKET_TEXT_EXTRACTION})
        target_compile_definitions(kfilemetadata_mobiextractor PRIVATE ENABLE_TEXT_EXTRACTION=1)
    endif()

    set_target_properties(kfilemetadata_mobiextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_mobiextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

endif()

set_package_properties(Qt6Gui PROPERTIES PURPOSE "- Required for AppImage extractor")
if(libappimage_FOUND AND KF6Config_FOUND AND Qt6Gui_FOUND)
    add_library(kfilemetadata_appimageextractor MODULE appimageextractor.cpp )
    target_link_libraries( kfilemetadata_appimageextractor
        KF6::FileMetaData
        KF6::ConfigCore
        Qt6::Xml
        Qt6::Gui
        libappimage
    )

    set_target_properties(kfilemetadata_appimageextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_appimageextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

set_package_properties(Qt6Gui PROPERTIES PURPOSE "- Required for Qt based PNG extractor")
if(Qt6Gui_FOUND)
    add_library(kfilemetadata_pngextractor MODULE pngextractor.cpp )
    target_link_libraries(kfilemetadata_pngextractor
        KF6::FileMetaData
        Qt6::Gui
    )

    set_target_properties(kfilemetadata_pngextractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_pngextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

#
# FictionBook2
#
set_package_properties(KF6Archive PROPERTIES PURPOSE "- Required for FictionBook2 extractor")
if(KF6Archive_FOUND)
    add_library(kfilemetadata_fb2extractor MODULE fb2extractor.cpp ${debug_SRCS})
    target_link_libraries(kfilemetadata_fb2extractor
        KF6::Archive
        KF6::FileMetaData
        Qt6::Core
    )

    set_target_properties(kfilemetadata_fb2extractor PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_fb2extractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

#
# Krita
#
set_package_properties(KF6Archive PROPERTIES PURPOSE "- Required for Krita extractor")
if(KF6Archive_FOUND)
    add_library(kfilemetadata_krita MODULE)
    target_sources(kfilemetadata_krita
        PRIVATE
            kritaextractor.cpp
            ${debug_SRCS}
    )

    target_link_libraries(kfilemetadata_krita
        KF6::FileMetaData
        KF6::Archive
    )

    set_target_properties(kfilemetadata_krita PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
    install(
    TARGETS kfilemetadata_krita
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)
endif()

=== debian/changelog ===
kf6-kfilemetadata (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:38 +0100

=== debian/control ===
Source: kf6-kfilemetadata
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libappimage-dev (>= 0.1.10~) [linux-any],
               libattr1-dev,
               libavcodec-dev (>= 7:3.1~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 7:3.1~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.26~),
               libkf6archive-dev (>= 6.19.0~),
               libkf6codecs-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libpoppler-qt6-dev (>= 0.12.1) [!i386],
               libpostproc-dev,
               libqmobipocket6-dev (>= 4:2.1~),
               libswscale-dev (>= 7:3.1~),
               libtag-dev (>= 1.12~),
               libxkbcommon-dev,
               pkgconf,
               python3:any,
               qt6-base-dev (>= 6.6.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.1
Homepage: https://invent.kde.org/frameworks/kfilemetadata
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
Rules-Requires-Root: no

Package: libkf6filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: catdoc,
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf6filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf6filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf6filemetadata3 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6filemetadata-doc (= ${source:Version}),
            libkf6filemetadata-dev-tools (= ${source:Version}),
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf6filemetadata-dev-tools
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: development tools file metadata frameworks
 This package provides the kfilemetadata_dump6 tool for dumping file
 metadata extracted by kfilemetadata for debugging purpose.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf6filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6filemetadata3
Section: libs
Architecture: any
Depends: libkf6filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Recommends: libkf6filemetadata-bin (= ${binary:Version}),
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

## kf6-kfilemetadata 6.19.0+p24.04+vstable+git20251017.0441

=== debian/changelog ===
kf6-kfilemetadata (6.19.0+p24.04+vstable+git20251017.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:41:53 +0000

kf6-kfilemetadata (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:56:08 +0000

## kf6-kfilemetadata 6.19.0+p24.04+vstable+git20251019.0142

=== debian/changelog ===
kf6-kfilemetadata (6.19.0+p24.04+vstable+git20251019.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:42:26 +0000

## kf6-kfilemetadata 6.19.0+p24.04+vstable+git20251028.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})
 
@@ -33,7 +33,7 @@
                   SOVERSION 3)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui)
 set_package_properties(Qt6Gui PROPERTIES DESCRIPTION "Qt6: Gui component"

## kf6-kfilemetadata 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kfilemetadata (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.19.0~),
+               extra-cmake-modules (>= 6.20.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -19,11 +19,11 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.19.0~),
-               libkf6codecs-dev (>= 6.19.0~),
-               libkf6config-dev (>= 6.19.0~),
-               libkf6coreaddons-dev (>= 6.19.0~),
-               libkf6i18n-dev (>= 6.19.0~),
+               libkf6archive-dev (>= 6.20.0~),
+               libkf6codecs-dev (>= 6.20.0~),
+               libkf6config-dev (>= 6.20.0~),
+               libkf6coreaddons-dev (>= 6.20.0~),
+               libkf6i18n-dev (>= 6.20.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
                libpostproc-dev,
                libqmobipocket6-dev (>= 4:2.1~),
@@ -32,8 +32,8 @@
                libxkbcommon-dev,
                pkgconf,
                python3:any,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.1
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
@@ -65,7 +65,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6filemetadata3 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6filemetadata-doc (= ${source:Version}),

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kfilemetadata-([\d.]+)\.tar\.xz

## kf6-kfilemetadata 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kfilemetadata (6.21.0-0ubuntu3) resolute; urgency=medium

  * Drop build depend on libpostproc-dev.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:23:40 +0000

kf6-kfilemetadata (6.21.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:04:09 +0000

kf6-kfilemetadata (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -19,13 +19,13 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.20.0~),
-               libkf6codecs-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
+               libkf6archive-dev (>= 6.21.0~),
+               libkf6codecs-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
-               libpostproc-dev,
+               libpostproc-dev | hello,
                libqmobipocket6-dev (>= 4:2.1~),
                libswscale-dev (>= 7:3.1~),
                libtag-dev (>= 1.12~),
@@ -68,8 +68,8 @@
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf6filemetadata-doc (= ${source:Version}),
-            libkf6filemetadata-dev-tools (= ${source:Version}),
+Recommends: libkf6filemetadata-dev-tools (= ${source:Version}),
+            libkf6filemetadata-doc (= ${source:Version}),
 Multi-Arch: same
 Description: library for extracting file metadata
  This library is for extracting file metadata.
@@ -81,8 +81,7 @@
 Package: libkf6filemetadata-dev-tools
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: foreign
 Description: development tools file metadata frameworks
  This package provides the kfilemetadata_dump6 tool for dumping file

## kf6-kfilemetadata 6.21.0+p24.04+vstable+git20251212.0323

=== debian/changelog ===
kf6-kfilemetadata (6.21.0+p24.04+vstable+git20251212.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 03:23:51 +0000

kf6-kfilemetadata (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:32 +1000

kf6-kfilemetadata (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:50 +1000

## kf6-kfilemetadata 6.21.0+p24.04+vstable+git20260103.0401

=== debian/changelog ===
kf6-kfilemetadata (6.21.0+p24.04+vstable+git20260103.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:01:43 +0000

## kf6-kfilemetadata 6.21.0+p24.04+vunstable+git20251207.0917

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kfilemetadata (6.21.0+p24.04+vunstable+git20251207.0917-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 09:17:47 +0000

## kf6-kfilemetadata 6.22.0

=== debian/changelog ===
kf6-kfilemetadata (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:30:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -19,11 +19,11 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6codecs-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6codecs-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
                libpostproc-dev | hello,
                libqmobipocket6-dev (>= 4:2.1~),

## kf6-kfilemetadata 6.22.0+p24.04+vstable+git20260106.1127

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kfilemetadata (6.22.0+p24.04+vstable+git20260106.1127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:27:23 +0000

kf6-kfilemetadata (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:10 +1000

## kf6-kfilemetadata 6.22.0+p24.04+vstable+git20260202.1021

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kfilemetadata (6.22.0+p24.04+vstable+git20260202.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:21:17 +0000

## kf6-kfilemetadata 6.22.0+p24.04+vunstable+git20260204.0829

=== debian/changelog ===
kf6-kfilemetadata (6.22.0+p24.04+vunstable+git20260204.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:29:36 +0000
